# $Id: smeserver-dansguardian-stats.spec,v 1.2 2016/03/22 04:09:24 unnilennium Exp $
# Authority: jesperknudsen
# Name: Jesper Knudsen

Summary: SME Server Dansguardian Statistics Interface
%define name smeserver-dansguardian-stats
%define version 2.1
%define release 1
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: SME Server/addon
Source: %{name}-%{version}.tgz
Patch0: smeserver-dansguardian-stats-2.1-FONTSPATH.patch
BuildRoot: /var/tmp/%{name}-%{version}-buildroot
BuildArch: noarch
BuildRequires: e-smith-devtools
Requires: smeserver-release >= 8.0
Requires: perl-DateManip => 5.40
Requires: smeserver-dansguardian
Requires: dansguardian

%changelog
* Mon Mar 21 2016 Jean-Philipe Pialasse <tests@pialasse.com> 2.1-1.sme
- update for SME8 [SME: 7737]
- fix deprecated split and ereg php fucntions [SME: 9359]
- update jpeggraph to jpgraph-3.5.0b1 from http://jpgraph.net/download/
- incorporate DB defaults [SME: 9357]
- templates and services in  event dansguardian-save.

* Wed Jun 02 2010 Shad L. Lords <slords@mail.com> 2.0-1.sme
- Clean up spec for importing into CVS

* Wed May 20 2009 Jesper Knudsen <jesper@swerts-knudsen.dk> 1.0.3-1
- Updated log parser to handle blocked sites better and avoid categories which was represented as numbers rather than names

* Wed Apr 29 2009 Jesper Knudsen <jesper@swerts-knudsen.dk> 1.0.2-1
- Updated log parser to handle "EXCEPTION" 
- Changed pie chart to bars and updated CSS

* Fri Apr 24 2009 Jesper Knudsen <jesper@swerts-knudsen.dk> 1.0.0-1
- First release

%description
SME Server Dansguardian statistics interface which provided a web interface where scanned, blocked and infected
sites can be seen

%prep
%setup
%patch0 -p1

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc " >> %{name}-%{version}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
